Get Account reports
GET
Get Account reports for a specific type, metric and date range
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
metric*stringThe type of metric
Value in
"conversations_count""incoming_messages_count""outgoing_messages_count""avg_first_response_time""avg_resolution_time""resolutions_count"type*stringType of report
Value in
"account""agent""inbox""label""team"id?stringThe Id of specific object in case of agent/inbox/label
since?stringThe timestamp from where report should start.
until?stringThe timestamp from where report should stop.
Success
application/json- response
Array of date based conversation statistics
[index: integer]?curl -X GET 'https://helpdesk.inclamo.com/api/v2/accounts/0/reports?metric=conversations_count&type=account'Example Response
[ { "value": "string", "timestamp": 0 }]